xmlbeans - XML-Java binding tool

Distribution: openSUSE 42.1
Repository: openSUSE JAVA all
Package name: xmlbeans
Package version: 2.6.0
Package release: 72.1
Package architecture: noarch
Package type: rpm
Installed size: 3.05 MB
Download size: 2.18 MB
Official Mirror: ftp.gwdg.de
XMLBeans is a tool that allows you to access the full power of XML in a Java friendly way. It is an XML-Java binding tool. The idea is that you can take advantage the richness and features of XML and XML Schema and have these features mapped as naturally as possible to the equivalent Java language and typing constructs. XMLBeans uses XML Schema to compile Java interfaces and classes that you can then use to access and modify XML instance data. Using XMLBeans is similar to using any other Java interface/class, you will see things like getFoo or setFoo just as you would expect when working with Java. While a major use of XMLBeans is to access your XML instance data with strongly typed Java classes there are also API's that allow you access to the full XML infoset (XMLBeans keeps full XML Infoset fidelity) as well as to allow you to reflect into the XML schema itself through an XML Schema Object model.



  • xmlbeans = 2.6.0-72.1


  • xmlbeans-mini


    Install Howto

    1. Add the openSUSE JAVA repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/Java:/packages/openSUSE_Leap_42.1/ opensuse-java
    2. Install xmlbeans rpm package:
      # zypper install xmlbeans


    • /usr/share/doc/packages/xmlbeans/LICENSE.txt
    • /usr/share/doc/packages/xmlbeans/NOTICE.txt
    • /usr/share/doc/packages/xmlbeans/README.txt
    • /usr/share/java/xmlbeans/xbean.jar
    • /usr/share/java/xmlbeans/xbean_xpath.jar
    • /usr/share/java/xmlbeans/xmlpublic.jar


    2017-04-27 - dimstar@opensuse.org - Buildignore xml-commons-jaxp-1.3-apis and xml-commons-resolver12 only when building xmlbeans-mini.

    2015-07-27 - antoine.belvire@laposte.net - Fix build with Java 8: * add xmlbeans-2.6.0-java8.patch

    2014-12-09 - tchvatal@suse.com - Try to fix the cycle, put back gcj compat dep

    2014-12-05 - p.drouand@gmail.com - Remove java-1_5_0-gcj-compat-devel/java-devel dependency; not needed anymore

    2014-08-29 - coolo@suse.com - provide xmlbeans in xmlbeans-mini so it's a valid choice during bootstrap

    2014-07-08 - tchvatal@suse.com - Do not depend on ant-trax

    2014-06-10 - tchvatal@suse.com - Version bump to 2.6.0: * bugfixes * multithread fixes * fixed error messages * more: http://svn.apache.org/viewvc/xmlbeans/trunk/CHANGES.txt?revision=1364789&view=markup - Rebase xmlbeans-2.4.0-nodownload.patch to apply to new version - Cleanup with spec-cleaner

    2013-12-06 - mvyskocil@suse.com - fix boostrapping of xmlbeans * xmlbeans-mini does install mandatory oldxmlbeans.jar * xmlbeans require -mini variant

    2013-09-12 - tchvatal@suse.com - Fix jpackage-utils collision by requiring javapacakges-tools.

    2013-08-23 - mvyskocil@suse.com - remove javadoc and manual packages